DNF5-GROUP(8)

NUME
dnf5-group - comanda «group»

SINOPSIS

dnf5 group {listă|info} [opțiuni] [<specificație-grup>...]

dnf5 group {install|remove|upgrade} [opțiuni] <specificație-grup|specificație-mediu>...

DESCRIERE

Comanda group din DNF5 oferă mai multe interogări pentru obținerea de informații despre grupuri, pachete legate de acestea și este utilizată și pentru instalarea grupurilor. Pentru a interoga mediile, utilizați comanda separată environment. Notă: dnf-4 lista atât mediile, cât și grupurile cu comanda group.

Argumentele opționale specificație-grup pot fi transmise pentru a filtra grupurile cu ID-uri sau nume date. Comenzile install, remove și upgrade acceptă atât specificație-grupc, cât și specificație-mediu, dar în cazul în care atât grupurile, cât și mediile se potrivesc, numai grupurile sunt afectate.

SUBCOMENZI

    list - listă
        Afișează toate grupurile coincidente, fie dintre grupurile instalate, fie dintre cele disponibile. Dacă nu se specifică nimic, afișează toate grupurile cunoscute. Opțiunile --installed și --available restrâng lista solicitată. Dacă se utilizează opțiunea --hidden, în listă sunt incluse și grupurile ascunse.

    info
        Afișează informații detaliate despre grupuri. Comanda acceptă aceleași opțiuni ca și subcomanda list.

    install
        Marchează mediile sau grupurile specificate instalate și instalează grupurile și pachetele pe care le conțin.

        Dacă un mediu sau un grup este deja (parțial) instalat, comanda instalează grupurile și pachetele lipsă pe care le conține.

        În cazul în care atât grupurile, cât și mediile se potrivesc, sunt afectate numai grupurile.

        Pentru medii, sunt instalate toate grupurile din lista de grupuri a acestora, precum și grupurile implicite din lista de opțiuni a acestora.

        Dacă se utilizează opțiunea --with-optional, include și pachetele Optional ale grupurilor. În mod implicit, toate pachetele Mandatory și Default vor fi instalate ori de câte ori este posibil. Pachetele Conditional sunt instalate dacă îndeplinesc cerințele. Acest lucru poate fi configurat prin dnf5.conf(5), group_package_types <#group-package-types-options-label>.

        Dacă se utilizează opțiunea --no-packages, această comandă nu va instala niciun pachet. Numai pachetele de grup instalate în prezent sunt considerate a fi instalate împreună cu grupurile.

    remove
        Marchează mediile sau grupurile specificate ca fiind eliminate și elimină grupurile și pachetele pe care le conțin, cu excepția cazului în care aparțin unui alt mediu sau grup instalat, au fost instalate în mod explicit de către utilizator sau (în cazul pachetelor) au fost instalate ca dependență.

        În cazul în care atât grupurile, cât și mediile se potrivesc, sunt afectate numai grupurile.

        Dacă se utilizează opțiunea --no-packages, această comandă nu va elimina niciun pachet.

    upgrade
        Actualizează definiția mediilor și grupurilor specificate, precum și a grupurilor și pachetelor pe care le conțin. Dacă au fost adăugate grupuri sau pachete noi la definițiile curente de la instalarea mediilor sau grupurilor, noile grupuri și pachete vor fi instalate. De asemenea, dacă unele grupuri sau pachete au fost eliminate din definiție, acestea vor fi eliminate, cu excepția cazului în care au fost instalate dintr-un alt motiv (aparțin unui alt mediu sau grup instalat, au fost instalate în mod explicit de către utilizator sau au fost instalate ca dependență).

        În cazul în care atât grupurile, cât și mediile se potrivesc, sunt afectate numai grupurile.

OPȚIUNI PENTRU LISTĂ ȘI INFORMAȚII

    --available
        Afișează numai grupurile disponibile. Cele care nu sunt instalate, dar cunoscute de DNF5.

    --installed
        Afișează numai grupurile instalate.

    --hidden
        Afișează, de asemenea, grupurile ascunse.

    --contains-pkgs=NUME_PACHET,...
        Afișează numai grupurile care conțin pachete cu numele specificate. Opțiune listă, acceptă caractere joker.

OPȚIUNI PENTRU INSTALARE, DEZINSTALARE ȘI ACTUALIZARE

    --with-optional
        Include pachetele opționale din grupuri.
        Se utilizează cu comanda install.

    --no-packages
        Operează exclusiv asupra mediilor și grupurilor, fără a manipula niciun pachet.
        Se utilizează împreună cu comenzile install și remove.

    --allowerasing
        Permite eliminarea pachetelor instalate pentru a rezolva eventualele probleme de dependență.
        Se utilizează cu comenzile install și upgrade.

    --skip-broken
        Rezolvă orice probleme de dependență prin eliminarea din tranzacție a pachetelor care cauzează probleme.
        Utilizată cu comanda install.

    --skip-unavailable
        Permite omiterea pachetelor care nu pot fi instalate sau actualizate.
        Se utilizează cu comenzile install și upgrade.

    --allow-downgrade
        Activează retrogradarea dependențelor la rezolvarea operației solicitate.
        Se utilizează cu comenzile install și upgrade.

    --no-allow-downgrade
        Dezactivează retrogradarea dependențelor la rezolvarea operației solicitate.
        Se utilizează cu comenzile install și upgrade.

    --downloadonly
        Descarcă setul de pachete rezolvate fără a executa o tranzacție RPM.
        Se utilizează cu comenzile install și upgrade.

    --offline
        Stochează tranzacția care urmează să fie efectuată fără conexiune „offline”. A se vedea comanda «offline» <#offline-command-ref-label>, dnf5-offline(8).

    --store=RUTA
        Stochează tranzacția curentă într-un director la RUTA specificată, în loc să o execute.
        Tranzacția stocată poate fi executată prin comanda <#replay-command-ref-label>, dnf5-replay(8).
        Rețineți că ID-urile depozitelor din tranzacția stocată sunt modificate în @stored_transaction(repo_id); acest lucru este necesar
        deoarece, în timpul reluării, depozitele stocate sunt recreate și pot intra în conflict cu depozitele deja existente
        (acest lucru nu se aplică depozitului special @System).

EXEMPLE

    dnf5 group list --hidden
        Afișează lista tuturor grupurilor, inclusiv a celor ascunse.

    dnf5 group info *xfce*
        Afișează informații detaliate despre toate grupurile legate de Xfce.

    dnf5 group install mysql --with-optional
        Instalează grupul mysql, inclusiv pachetele opționale.

    dnf5 group upgrade mysql
        Aduce pachetele grupului mysql în conformitate cu definiția actuală
        a grupului.

CONSULTAȚI ȘI
        dnf5-comps(7), Compune grupuri și medii <#comps-misc-ref-label>
        dnf5-specs(7), Specificații de modele <#specs-misc-ref-label>

Autor
A se vedea AUTHORS.md în distribuția sursei dnf5.

Drepturi de autor
Contribuitori la proiectul dnf5.

TRADUCERE
Traducerea în limba română a acestui manual a fost făcută de Remus-Gabriel Chelu <remusgabriel.chelu@disroot.org>

Această traducere este documentație gratuită; citiți Licența publică generală GNU Versiunea 3 (https://www.gnu.org/licenses/gpl-3.0.html) sau o versiune ulterioară cu privire la condiții privind drepturile de autor. NU se asumă NICIO RESPONSABILITATE.

Dacă găsiți erori în traducerea acestui manual, vă rugăm să trimiteți un e-mail la translation-team-ro@lists.sourceforge.net.